Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7745)
@@ -165,5 +165,5 @@
             if 'disable' in form:
                 try:
-                    comment = _(u"AC disabled")
+                    comment = _(u"disabled")
                     self.context.disable(entry, comment)
                     self.flash(_('${a} disabled.', mapping = {'a':entry}))
@@ -173,5 +173,5 @@
             elif 'enable' in form:
                 try:
-                    comment = _(u"AC re-enabled")
+                    comment = _(u"re-enabled")
                     self.context.enable(entry, comment)
                     self.flash(_('${a} (re-)enabled.', mapping = {'a':entry}))
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7745)
@@ -36,5 +36,5 @@
         )
     random_num = schema.TextLine(
-        title = _(u'Random part of access code.'),
+        title = _(u'Random part of access code'),
         )
     cost = schema.Float(
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt	(revision 7745)
@@ -14,5 +14,5 @@
       <th i18n:translate="">File</th>
       <th i18n:translate="">Size</th>
-      <th i18n:translate="">Uploaded</th>
+      <th i18n:translate="">Upload Date</th>
     </tr>
   </thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7745)
@@ -2,5 +2,5 @@
   <thead>
     <tr>
-      <th i18n:translate="">User ID</th>
+      <th i18n:translate="">User Id</th>
       <th i18n:translate="">Name</th>
       <th i18n:translate="">Portal Roles</th>
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
-"PO-Revision-Date: 2012-03-01 10:04+0100\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
+"PO-Revision-Date: 2012-03-02 07:45+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -27,4 +27,5 @@
 "X-Poedit-Country: GERMANY\n"
 "X-Poedit-SourceCharset: utf-8\n"
+"X-Poedit-Basepath: \\\\Salsa\\sirp\\trunk\\src\n"
 
 #: waeup/sirp/accesscodes/browser.py:103
@@ -72,9 +73,10 @@
 #: waeup/sirp/accesscodes/browser.py:143
 msgid "Enable ACs"
-msgstr "Aktiviere Zugangscode"
+msgstr "Zugangscode aktivieren"
 
 #: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
-msgstr "ZC deaktiviert"
+#: waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
+msgstr "deaktiviert"
 
 #. Default: ""
@@ -89,6 +91,6 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
-msgstr "ZC reaktiviert"
+msgid "re-enabled"
+msgstr "reaktiviert"
 
 #. Default: ""
@@ -285,5 +287,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr "Zufallsteil des Zugangscodes"
 
@@ -353,8 +355,4 @@
 msgid "used"
 msgstr "verwendet"
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
-msgstr "deaktiviert"
 
 #: waeup/sirp/accesscodes/workflow.py:81
@@ -1739,6 +1737,6 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
-msgstr "Hochgeladen"
+msgid "Upload Date"
+msgstr "Hochladedatum"
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:10
@@ -1777,4 +1775,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1916,8 +1915,4 @@
 msgstr "Wiederhole Passwort:"
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr "Benutzername (Id)"
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2122,5 +2117,5 @@
 #: waeup/sirp/hostels/interfaces.py:44
 msgid "Hostel Id"
-msgstr "Wohnheim-Id"
+msgstr "Wohnheim Id"
 
 #: waeup/sirp/hostels/interfaces.py:49
@@ -2577,5 +2572,5 @@
 #: waeup/sirp/students/browser.py:1518
 #: waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr "Falscher Status"
 
@@ -2683,5 +2678,5 @@
 #: waeup/sirp/students/browser.py:186
 #: waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr "Leerer Suchtext"
 
@@ -2710,5 +2705,5 @@
 #: waeup/sirp/students/browser.py:1902
 msgid "Password has already been set. Your Student Id is ${a}"
-msgstr "Passwort wurde bereits gesetzt. Ihre Studenten-Id ist ${a}"
+msgstr "Passwort wurde bereits gesetzt. Ihre Studenten Id ist ${a}"
 
 #: waeup/sirp/students/browser.py:1908
@@ -2723,5 +2718,5 @@
 #: waeup/sirp/students/browser.py:1923
 msgid "Password has been set. Your Student Id is ${a}"
-msgstr "Passwort wurde gesetzt. Ihre Studenten-Id ist ${a}"
+msgstr "Passwort wurde gesetzt. Ihre Studenten Id ist ${a}"
 
 #: waeup/sirp/students/browser.py:204
@@ -3794,5 +3789,2 @@
 "${c}\n"
 
-#, fuzzy
-#~ msgid "Successfully removed: %s"
-#~ msgstr "Erfolgreich entfernt:"
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/en/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/en/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/en/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: 2012-02-29 12:32+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -72,6 +72,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -87,5 +87,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -262,5 +262,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -328,8 +328,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1598,5 +1594,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1636,4 +1632,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1777,8 +1774,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2410,5 +2403,5 @@
 
 #: waeup/sirp/students/browser.py:1518 waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2512,5 +2505,5 @@
 
 #: waeup/sirp/students/browser.py:186 waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -72,6 +72,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -87,5 +87,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -262,5 +262,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -328,8 +328,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1598,5 +1594,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1636,4 +1632,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1777,8 +1774,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2410,5 +2403,5 @@
 
 #: waeup/sirp/students/browser.py:1518 waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2512,5 +2505,5 @@
 
 #: waeup/sirp/students/browser.py:186 waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: 2012-02-29 12:21+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -72,6 +72,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -87,5 +87,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -262,5 +262,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -328,8 +328,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1598,5 +1594,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1636,4 +1632,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1777,8 +1774,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2410,5 +2403,5 @@
 
 #: waeup/sirp/students/browser.py:1518 waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2512,5 +2505,5 @@
 
 #: waeup/sirp/students/browser.py:186 waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ig/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ig/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ig/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: 2012-02-29 12:22+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -72,6 +72,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -87,5 +87,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -262,5 +262,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -328,8 +328,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1598,5 +1594,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1636,4 +1632,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1777,8 +1774,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2410,5 +2403,5 @@
 
 #: waeup/sirp/students/browser.py:1518 waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2512,5 +2505,5 @@
 
 #: waeup/sirp/students/browser.py:186 waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Thu Mar  1 12:14:08 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -71,5 +71,6 @@
 
 #: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -85,5 +86,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -281,5 +282,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -348,8 +349,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1735,5 +1732,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1773,4 +1770,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1912,8 +1910,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2573,5 +2567,5 @@
 #: waeup/sirp/students/browser.py:1518
 #: waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2679,5 +2673,5 @@
 #: waeup/sirp/students/browser.py:186
 #: waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7745)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Mar  1 10:03:03 2012\n"
+"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -72,6 +72,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:167
-msgid "AC disabled"
+#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
 msgstr ""
 
@@ -87,5 +87,5 @@
 
 #: waeup/sirp/accesscodes/browser.py:175
-msgid "AC re-enabled"
+msgid "re-enabled"
 msgstr ""
 
@@ -262,5 +262,5 @@
 
 #: waeup/sirp/accesscodes/interfaces.py:38
-msgid "Random part of access code."
+msgid "Random part of access code"
 msgstr ""
 
@@ -328,8 +328,4 @@
 #: waeup/sirp/accesscodes/workflow.py:38
 msgid "used"
-msgstr ""
-
-#: waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
 msgstr ""
 
@@ -1598,5 +1594,5 @@
 
 #: waeup/sirp/browser/templates/datacenterpage.pt:16
-msgid "Uploaded"
+msgid "Upload Date"
 msgstr ""
 
@@ -1636,4 +1632,5 @@
 
 #: waeup/sirp/browser/templates/departmentmanagepage.pt:97
+#: waeup/sirp/browser/templates/userscontainerpage.pt:4
 #: waeup/sirp/browser/templates/facultymanagepage.pt:71
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:88
@@ -1777,8 +1774,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/userscontainerpage.pt:4
-msgid "User ID"
-msgstr ""
-
 #: waeup/sirp/browser/templates/userscontainerpage.pt:6
 msgid "Portal Roles"
@@ -2410,5 +2403,5 @@
 
 #: waeup/sirp/students/browser.py:1518 waeup/sirp/students/browser.py:1639
-msgid "Wrong state."
+msgid "Wrong state"
 msgstr ""
 
@@ -2512,5 +2505,5 @@
 
 #: waeup/sirp/students/browser.py:186 waeup/sirp/students/browser.py:222
-msgid "Empty search string."
+msgid "Empty search string"
 msgstr ""
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7744)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7745)
@@ -184,5 +184,5 @@
         else:
             if 'search' in form:
-                self.flash(_('Empty search string.'))
+                self.flash(_('Empty search string'))
             return
         if self.searchtype == 'current_session':
@@ -220,5 +220,5 @@
         else:
             if 'search' in form:
-                self.flash(_('Empty search string.'))
+                self.flash(_('Empty search string'))
             return
         if not 'entries' in form:
@@ -1516,5 +1516,5 @@
     def update(self, SUBMIT=None):
         if not self.context.state == ADMITTED:
-            self.flash(_("Wrong state."))
+            self.flash(_("Wrong state"))
             self.redirect(self.url(self.context))
             return
@@ -1637,5 +1637,5 @@
     def update(self, SUBMIT=None):
         if not self.context.getStudent().state in (CLEARED,RETURNING):
-            self.flash(_("Wrong state."))
+            self.flash(_("Wrong state"))
             self.redirect(self.url(self.context))
             return