Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 7746)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 7749)
@@ -142,21 +142,24 @@
     ...File:...faculties_zope.mgr.csv...
 
-We can watch the entries generated in logfile:
+We can grep the entries generated in logfile:
 
     >>> browser.getControl('View processing log').click()
     >>> print browser.contents
     <!DOCTYPE ...
-    <pre>...
- 
-    ... - INFO - --------------------
-    ... - INFO - zope.mgr: Batch processing finished: OK
-    ... - INFO - zope.mgr: Source: /.../faculties_zope.mgr.csv
-    ... - INFO - zope.mgr: Mode: create
-    ... - INFO - zope.mgr: User: zope.mgr
-    ... - INFO - zope.mgr: Processing time: ... s (... s/item)
-    ... - INFO - zope.mgr: Processed: 3 lines (3 successful/ 0 failed)
-    ... - INFO - --------------------
-    </pre>
-    ....
+    ...<h1>Logfile datacenter.log</h1>...
+
+    >>> browser.getControl(name='query').value = "zope.mgr"
+    >>> browser.getControl('Search').click()
+    >>> 'zope.mgr: Batch processing finished: OK' in browser.contents
+    True
+    >>> 'Mode: create' in browser.contents
+    True
+
+    >>> browser.getControl(name='query').value = "finished"
+    >>> browser.getControl('Search').click()
+    >>> 'zope.mgr: Batch processing finished: OK' in browser.contents
+    True
+    >>> 'Mode: create' in browser.contents
+    False
 
 
@@ -564,6 +567,4 @@
     True
     >>> browser.getControl('Show', index=0).click()
-    >>> '<input class="btn primary" type="submit" name="back" value="Back" />' in browser.contents
-    True
     >>> browser.getControl('Back', index=0).click()
     >>> browser.getControl('Back to Data Center').click()
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7746)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7749)
@@ -1140,9 +1140,11 @@
     title = _(u'Data Center')
     pnav = 0
+    search_button = _('Search')
+    back_button = _('Back')
 
     def label(self):
         return "Logfile %s" % self.filename
 
-    def update(self, show=None, remove=None, back=None):
+    def update(self, back=None, query=None):
         session = ISession(self.request)['waeup.sirp']
         logname = session.get('logname', None)
@@ -1151,7 +1153,17 @@
             return
         self.filename = logname
+        form = self.request.form
+        self.query = ''
+        query = form.get('query')
+        if search is None or not query:
+            return
         self.files = self.context.getLogFiles()
         fullpath = os.path.join(self.context.storage, 'logs', logname)
-        self.filecontents = open(fullpath, 'rb').read()
+
+        self.query = query
+        #self.filecontents = open(fullpath, 'rb').read()
+        popen = os.popen('grep %s %s' % (query,fullpath))
+        self.grepresult = popen.read()
+        popen.close()
 
 class DatacenterSettings(SIRPPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7746)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7749)
@@ -1,13 +1,14 @@
-<form method="POST">
-  <input class="btn primary" type="submit" name="back" value="Back" />
+<form method="post">
+  <input type="text" name="query"
+	 tal:attributes="value view/query" />
+    <input class="btn primary" type="submit" name="search"
+      tal:attributes="value view/search_button"/>
+    <input class="btn" type="submit" name="back"
+      tal:attributes="value view/back_button"/>
 </form>
 
-<div>
-  <pre tal:content="view/filecontents">
-    blah, blah
+<div tal:condition="view/grepresult|nothing">
+  <pre tal:content="structure view/grepresult">
+    GREPRESULT
   </pre>
 </div>
-
-<form method="POST">
-  <input class="btn primary" type="submit" name="back" value="Back" />
-</form>