Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/export.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/export.py	(revision 7751)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/export.py	(revision 7752)
@@ -95,10 +95,10 @@
 
     #: Fieldnames considered by this exporter
-    fields = ('code', 'faculty', 'title', 'title_prefix')
+    fields = ('code', 'faculty_code', 'title', 'title_prefix')
 
     def mangle_value(self, value, name, context=None):
         """Hook for mangling values in derived classes
         """
-        if name == 'faculty':
+        if name == 'faculty_code':
             value = getattr(
                 getattr(context, '__parent__', None),
@@ -127,5 +127,5 @@
 
     #: Fieldnames considered by this exporter
-    fields = ('code', 'faculty', 'department', 'title', 'credits',
+    fields = ('code', 'faculty_code', 'department_code', 'title', 'credits',
               'passmark', 'semester')
 
@@ -133,10 +133,10 @@
         """Hook for mangling values in derived classes
         """
-        if name == 'faculty':
+        if name == 'faculty_code':
             try:
                 value = context.__parent__.__parent__.__parent__.code
             except AttributeError:
                 value = None
-        elif name == 'department':
+        elif name == 'department_code':
             value = getattr(
                 getattr(context, '__parent__', None),
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_export.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_export.py	(revision 7751)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_export.py	(revision 7752)
@@ -149,5 +149,5 @@
         self.assertEqual(
             result,
-            'code,faculty,title,title_prefix\r\n'
+            'code,faculty_code,title,title_prefix\r\n'
             'D1,F1,Department of Cheddar,department\r\n'
             )
@@ -160,5 +160,5 @@
         self.assertEqual(
             result,
-            'code,faculty,title,title_prefix\r\n'
+            'code,faculty_code,title,title_prefix\r\n'
             'D1,F1,Department of Cheddar,department\r\n'
             'D2,F1,Institue of Gouda,institute\r\n'
@@ -173,5 +173,5 @@
         self.assertEqual(
             result,
-            'code,faculty,title,title_prefix\r\n'
+            'code,faculty_code,title,title_prefix\r\n'
             'D1,F1,Department of Cheddar,department\r\n'
             'D2,F1,Institue of Gouda,institute\r\n'
@@ -186,5 +186,5 @@
         self.assertEqual(
             result,
-            'code,faculty,title,title_prefix\r\n'
+            'code,faculty_code,title,title_prefix\r\n'
             'D1,F1,Department of Cheddar,department\r\n'
             'D2,F1,Institue of Gouda,institute\r\n'
@@ -242,5 +242,5 @@
         self.assertEqual(
             result,
-            'code,faculty,department,title,credits,passmark,semester\r\n'
+            'code,faculty_code,department_code,title,credits,passmark,semester\r\n'
             'C1,F1,,Cheese Basics,0,40,1\r\n'
             )
@@ -253,5 +253,5 @@
         self.assertEqual(
             result,
-            'code,faculty,department,title,credits,passmark,semester\r\n'
+            'code,faculty_code,department_code,title,credits,passmark,semester\r\n'
             'C1,F1,,Cheese Basics,0,40,1\r\n'
             'C2,F1,,Advanced Cheese Making,0,40,1\r\n'
@@ -266,5 +266,5 @@
         self.assertEqual(
             result,
-            'code,faculty,department,title,credits,passmark,semester\r\n'
+            'code,faculty_code,department_code,title,credits,passmark,semester\r\n'
             'C1,F1,,Cheese Basics,0,40,1\r\n'
             'C2,F1,,Advanced Cheese Making,0,40,1\r\n'
@@ -279,5 +279,5 @@
         self.assertEqual(
             result,
-            'code,faculty,department,title,credits,passmark,semester\r\n'
+            'code,faculty_code,department_code,title,credits,passmark,semester\r\n'
             'C1,F1,,Cheese Basics,0,40,1\r\n'
             'C2,F1,,Advanced Cheese Making,0,40,1\r\n'