Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7745)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7755)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Fri Mar  2 07:44:42 2012\n"
+"POT-Creation-Date: Fri Mar  2 12:58:47 2012\n"
 "PO-Revision-Date: 2012-02-29 12:21+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,138 +28,5 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/sirp/accesscodes/browser.py:103
-msgid "Reimport"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:106
-msgid "Reimport Access Code Batches"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:111
-msgid "Reimport cancelled."
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:117
-msgid "No file chosen. Action cancelled."
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:127
-msgid "This batch already exists: ${a}"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:130
-msgid "Successfully reimported: ${a}"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:140
-msgid "Search and Manage Access Codes"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:141 waeup/sirp/browser/pages.py:592
-#: waeup/sirp/browser/viewlets.py:190 waeup/sirp/students/browser.py:171
-#: waeup/sirp/students/browser.py:205
-msgid "Search"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:142
-msgid "Disable ACs"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:143
-msgid "Enable ACs"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:167 waeup/sirp/accesscodes/workflow.py:39
-msgid "disabled"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:169
-msgid "${a} disabled."
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:171
-msgid "${a}: Disable transition not allowed."
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:175
-msgid "re-enabled"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:177
-msgid "${a} (re-)enabled."
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:179
-msgid "${a}: Re-enable transition not allowed."
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:218
-msgid "Add Access Code Batch"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:227
-msgid "Reimport Access Code Batch"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:235
-msgid "Search Access Codes"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:244
-msgid "Access Codes"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:43
-msgid "Archive"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:44
-msgid "Archive and delete"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:46 waeup/sirp/accesscodes/browser.py:189
-#: waeup/sirp/accesscodes/browser.py:209
-msgid "Access Code Batches"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:53
-msgid "No batch selected."
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:60
-msgid "Archived ${a} (${b})"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:65
-msgid "Deleted batch ${a}"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:72
-msgid "Create Access Code Batch"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:78
-msgid "Create batch"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:86
-msgid "Batch created (${a} entries)"
-msgstr ""
-
-#. Default: ""
-#: waeup/sirp/accesscodes/browser.py:88
-msgid "Data written to ${a}"
-msgstr ""
-
-#: waeup/sirp/accesscodes/browser.py:91 waeup/sirp/accesscodes/browser.py:104
+#: waeup/sirp/accesscodes/browser.py:100 waeup/sirp/accesscodes/browser.py:113
 #: waeup/sirp/applicants/browser.py:80 waeup/sirp/applicants/browser.py:130
 #: waeup/sirp/applicants/browser.py:182 waeup/sirp/applicants/browser.py:254
@@ -168,15 +35,15 @@
 #: waeup/sirp/browser/pages.py:735 waeup/sirp/browser/pages.py:758
 #: waeup/sirp/browser/pages.py:805 waeup/sirp/browser/pages.py:835
-#: waeup/sirp/browser/pages.py:955 waeup/sirp/browser/pages.py:1166
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1281
-#: waeup/sirp/browser/pages.py:1308 waeup/sirp/browser/pages.py:1336
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1383
-#: waeup/sirp/browser/pages.py:1424 waeup/sirp/browser/pages.py:1503
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1506
-#: waeup/sirp/browser/pages.py:1584 waeup/sirp/browser/pages.py:1629
-#: waeup/sirp/browser/pages.py:1667 waeup/sirp/browser/pages.py:1711
-#: waeup/sirp/browser/pages.py:1750 waeup/sirp/browser/pages.py:1752
-#: waeup/sirp/browser/pages.py:1787 waeup/sirp/browser/pages.py:1838
-#: waeup/sirp/browser/pages.py:1890 waeup/sirp/students/browser.py:584
+#: waeup/sirp/browser/pages.py:955 waeup/sirp/browser/pages.py:1183
+#: waeup/sirp/browser/pages.py:1277 waeup/sirp/browser/pages.py:1298
+#: waeup/sirp/browser/pages.py:1325 waeup/sirp/browser/pages.py:1353
+#: waeup/sirp/browser/pages.py:1354 waeup/sirp/browser/pages.py:1400
+#: waeup/sirp/browser/pages.py:1441 waeup/sirp/browser/pages.py:1520
+#: waeup/sirp/browser/pages.py:1521 waeup/sirp/browser/pages.py:1523
+#: waeup/sirp/browser/pages.py:1601 waeup/sirp/browser/pages.py:1646
+#: waeup/sirp/browser/pages.py:1684 waeup/sirp/browser/pages.py:1728
+#: waeup/sirp/browser/pages.py:1767 waeup/sirp/browser/pages.py:1769
+#: waeup/sirp/browser/pages.py:1804 waeup/sirp/browser/pages.py:1855
+#: waeup/sirp/browser/pages.py:1907 waeup/sirp/students/browser.py:584
 #: waeup/sirp/students/browser.py:585 waeup/sirp/students/browser.py:746
 #: waeup/sirp/students/browser.py:748 waeup/sirp/students/browser.py:888
@@ -184,6 +51,139 @@
 msgstr ""
 
+#: waeup/sirp/accesscodes/browser.py:102
+msgid "Batch creation cancelled."
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:112
+msgid "Reimport"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:115
+msgid "Reimport Access Code Batches"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:120
+msgid "Reimport cancelled."
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:126
+msgid "No file chosen. Action cancelled."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:136
+msgid "This batch already exists: ${a}"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:139
+msgid "Successfully reimported: ${a}"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:152
+msgid "Search and Manage Access Codes"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:153 waeup/sirp/browser/pages.py:592
+#: waeup/sirp/browser/pages.py:1142 waeup/sirp/browser/viewlets.py:190
+#: waeup/sirp/students/browser.py:171 waeup/sirp/students/browser.py:205
+msgid "Search"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:154
+msgid "Disable ACs"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:155
+msgid "Enable ACs"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:180 waeup/sirp/accesscodes/workflow.py:39
+msgid "disabled"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:182
+msgid "${a} disabled."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:186
+msgid "${a}: Disable transition not allowed."
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:190
+msgid "re-enabled"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:192
+msgid "${a} (re-)enabled."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:196
+msgid "${a}: Re-enable transition not allowed."
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:235
+msgid "Add Access Code Batch"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:244
+msgid "Reimport Access Code Batch"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:252
+msgid "Search Access Codes"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:261
+msgid "Access Codes"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:43
+msgid "Archive"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:44
+msgid "Archive and delete"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:46 waeup/sirp/accesscodes/browser.py:206
+#: waeup/sirp/accesscodes/browser.py:226
+msgid "Access Code Batches"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:53
+msgid "No batch selected."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:61
+msgid "Archived ${a} (${b})"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:68
+msgid "Deleted batch ${a}"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:77
+msgid "Create Access Code Batch"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:83
+msgid "Create batch"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:91
+msgid "Batch created (${a} entries)"
+msgstr ""
+
+#. Default: ""
 #: waeup/sirp/accesscodes/browser.py:93
-msgid "Batch creation cancelled."
+msgid "Data written to ${a}"
 msgstr ""
 
@@ -377,9 +377,9 @@
 #: waeup/sirp/applicants/browser.py:838 waeup/sirp/browser/pages.py:476
 #: waeup/sirp/browser/pages.py:631 waeup/sirp/browser/pages.py:654
-#: waeup/sirp/browser/pages.py:728 waeup/sirp/browser/pages.py:1164
-#: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1377
-#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1556
-#: waeup/sirp/browser/pages.py:1699 waeup/sirp/browser/pages.py:1750
-#: waeup/sirp/browser/pages.py:1771 waeup/sirp/hostels/browser.py:209
+#: waeup/sirp/browser/pages.py:728 waeup/sirp/browser/pages.py:1181
+#: waeup/sirp/browser/pages.py:1353 waeup/sirp/browser/pages.py:1394
+#: waeup/sirp/browser/pages.py:1520 waeup/sirp/browser/pages.py:1573
+#: waeup/sirp/browser/pages.py:1716 waeup/sirp/browser/pages.py:1767
+#: waeup/sirp/browser/pages.py:1788 waeup/sirp/hostels/browser.py:209
 #: waeup/sirp/hostels/browser.py:231 waeup/sirp/hostels/browser.py:319
 #: waeup/sirp/students/browser.py:359 waeup/sirp/students/browser.py:458
@@ -401,6 +401,6 @@
 
 #: waeup/sirp/applicants/browser.py:305 waeup/sirp/applicants/browser.py:717
-#: waeup/sirp/browser/pages.py:1380 waeup/sirp/browser/pages.py:1702
-#: waeup/sirp/browser/pages.py:1774 waeup/sirp/browser/pages.py:1886
+#: waeup/sirp/browser/pages.py:1397 waeup/sirp/browser/pages.py:1719
+#: waeup/sirp/browser/pages.py:1791 waeup/sirp/browser/pages.py:1903
 #: waeup/sirp/hostels/browser.py:54 waeup/sirp/students/browser.py:80
 #: waeup/sirp/students/browser.py:385
@@ -521,6 +521,6 @@
 #: waeup/sirp/applicants/browser.py:255 waeup/sirp/applicants/browser.py:308
 #: waeup/sirp/browser/pages.py:634 waeup/sirp/browser/pages.py:675
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1271
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1372
+#: waeup/sirp/browser/pages.py:1277 waeup/sirp/browser/pages.py:1288
+#: waeup/sirp/browser/pages.py:1354 waeup/sirp/browser/pages.py:1389
 #: waeup/sirp/hostels/browser.py:131 waeup/sirp/students/browser.py:206
 #: waeup/sirp/students/browser.py:1151 waeup/sirp/students/browser.py:1164
@@ -539,7 +539,7 @@
 #: waeup/sirp/applicants/browser.py:81 waeup/sirp/applicants/browser.py:139
 #: waeup/sirp/applicants/browser.py:256 waeup/sirp/applicants/browser.py:347
-#: waeup/sirp/browser/pages.py:1338 waeup/sirp/browser/pages.py:1397
-#: waeup/sirp/browser/pages.py:1507 waeup/sirp/browser/pages.py:1593
-#: waeup/sirp/browser/pages.py:1753 waeup/sirp/browser/pages.py:1810
+#: waeup/sirp/browser/pages.py:1355 waeup/sirp/browser/pages.py:1414
+#: waeup/sirp/browser/pages.py:1524 waeup/sirp/browser/pages.py:1610
+#: waeup/sirp/browser/pages.py:1770 waeup/sirp/browser/pages.py:1827
 msgid "Remove selected local roles"
 msgstr ""
@@ -551,7 +551,7 @@
 #: waeup/sirp/applicants/browser.py:82 waeup/sirp/applicants/browser.py:135
 #: waeup/sirp/applicants/browser.py:257 waeup/sirp/applicants/browser.py:343
-#: waeup/sirp/browser/pages.py:1339 waeup/sirp/browser/pages.py:1393
-#: waeup/sirp/browser/pages.py:1508 waeup/sirp/browser/pages.py:1589
-#: waeup/sirp/browser/pages.py:1754 waeup/sirp/browser/pages.py:1806
+#: waeup/sirp/browser/pages.py:1356 waeup/sirp/browser/pages.py:1410
+#: waeup/sirp/browser/pages.py:1525 waeup/sirp/browser/pages.py:1606
+#: waeup/sirp/browser/pages.py:1771 waeup/sirp/browser/pages.py:1823
 msgid "Add local role"
 msgstr ""
@@ -1080,98 +1080,84 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1162
+#: waeup/sirp/browser/pages.py:1143
+msgid "Back"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1151
+msgid "Log files can only be searched on Unix-based operating systems."
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1179
 msgid "Edit data center settings"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1182
+#: waeup/sirp/browser/pages.py:1199
 msgid "File already existed (not copied): ${a}"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1185
+#: waeup/sirp/browser/pages.py:1202
 msgid "Given storage path cannot be used."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1186
+#: waeup/sirp/browser/pages.py:1203
 msgid "Error: ${a}"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1189
+#: waeup/sirp/browser/pages.py:1206
 msgid "New storage path succefully set."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1248
+#: waeup/sirp/browser/pages.py:1265
 msgid "Academic Section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1260 waeup/sirp/browser/pages.py:1276
-#: waeup/sirp/browser/pages.py:1293 waeup/sirp/browser/pages.py:1297
+#: waeup/sirp/browser/pages.py:1277 waeup/sirp/browser/pages.py:1293
+#: waeup/sirp/browser/pages.py:1310 waeup/sirp/browser/pages.py:1314
 msgid "Add faculty"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1261
+#: waeup/sirp/browser/pages.py:1278
 msgid "Faculties"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1265 waeup/sirp/browser/viewlets.py:441
+#: waeup/sirp/browser/pages.py:1282 waeup/sirp/browser/viewlets.py:441
 msgid "Manage academic section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1304
+#: waeup/sirp/browser/pages.py:1321
 msgid "The faculty code chosen already exists."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1325 waeup/sirp/browser/pages.py:1335
+#: waeup/sirp/browser/pages.py:1342 waeup/sirp/browser/pages.py:1352
 msgid "Departments"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1337 waeup/sirp/browser/pages.py:1388
-#: waeup/sirp/browser/pages.py:1407 waeup/sirp/browser/pages.py:1411
+#: waeup/sirp/browser/pages.py:1354 waeup/sirp/browser/pages.py:1405
+#: waeup/sirp/browser/pages.py:1424 waeup/sirp/browser/pages.py:1428
 msgid "Add department"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1345 waeup/sirp/browser/viewlets.py:457
+#: waeup/sirp/browser/pages.py:1362 waeup/sirp/browser/viewlets.py:457
 msgid "Manage faculty"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1418
+#: waeup/sirp/browser/pages.py:1435
 msgid "The code chosen already exists in this faculty."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1421
+#: waeup/sirp/browser/pages.py:1438
 msgid "Department ${a} added."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1438
+#: waeup/sirp/browser/pages.py:1455
 msgid "Courses and Certificates"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1468 waeup/sirp/browser/pages.py:1487
+#: waeup/sirp/browser/pages.py:1485 waeup/sirp/browser/pages.py:1504
 #: waeup/sirp/students/browser.py:96 waeup/sirp/students/viewlets.py:472
 msgid "Students"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1562
-msgid "Remove selected courses"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1574
-#: waeup/sirp/browser/pages.py:1603 waeup/sirp/browser/pages.py:1607
-msgid "Add course"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1505 waeup/sirp/browser/pages.py:1568
-msgid "Remove selected certificates"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1505 waeup/sirp/browser/pages.py:1579
-#: waeup/sirp/browser/pages.py:1640 waeup/sirp/browser/pages.py:1644
-msgid "Add certificate"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1514 waeup/sirp/browser/viewlets.py:464
-msgid "Manage department"
 msgstr ""
 
@@ -1182,44 +1168,66 @@
 msgstr ""
 
+#: waeup/sirp/browser/pages.py:1521 waeup/sirp/browser/pages.py:1579
+msgid "Remove selected courses"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1521 waeup/sirp/browser/pages.py:1591
+#: waeup/sirp/browser/pages.py:1620 waeup/sirp/browser/pages.py:1624
+msgid "Add course"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1522 waeup/sirp/browser/pages.py:1585
+msgid "Remove selected certificates"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1522 waeup/sirp/browser/pages.py:1596
+#: waeup/sirp/browser/pages.py:1657 waeup/sirp/browser/pages.py:1661
+msgid "Add certificate"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1531 waeup/sirp/browser/viewlets.py:464
+msgid "Manage department"
+msgstr ""
+
 #: waeup/sirp/browser/pages.py:160
 msgid "You logged in."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1619
+#: waeup/sirp/browser/pages.py:1636
 msgid "A course with same code already exists: "
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1625
+#: waeup/sirp/browser/pages.py:1642
 msgid "Course ${a} successfully created."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1656
+#: waeup/sirp/browser/pages.py:1673
 msgid "A certificate with same code already exists: "
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1662
+#: waeup/sirp/browser/pages.py:1679
 msgid "Certificate ${a} successfully created."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1694 waeup/sirp/browser/viewlets.py:481
+#: waeup/sirp/browser/pages.py:1711 waeup/sirp/browser/viewlets.py:481
 msgid "Edit course"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1744
+#: waeup/sirp/browser/pages.py:1761
 msgid "Edit certificate"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1751 waeup/sirp/browser/pages.py:1782
-#: waeup/sirp/browser/pages.py:1823 waeup/sirp/browser/pages.py:1825
+#: waeup/sirp/browser/pages.py:1768 waeup/sirp/browser/pages.py:1799
+#: waeup/sirp/browser/pages.py:1840 waeup/sirp/browser/pages.py:1842
 msgid "Add course referrer"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1752 waeup/sirp/browser/pages.py:1777
+#: waeup/sirp/browser/pages.py:1769 waeup/sirp/browser/pages.py:1794
 msgid "Remove selected course referrers"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1758 waeup/sirp/browser/viewlets.py:488
+#: waeup/sirp/browser/pages.py:1775 waeup/sirp/browser/viewlets.py:488
 msgid "Manage certificate"
 msgstr ""
@@ -1229,18 +1237,18 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1830
+#: waeup/sirp/browser/pages.py:1847
 msgid "The chosen course referrer is already part of this certificate."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1834
+#: waeup/sirp/browser/pages.py:1851
 msgid "Course referrer ${a}_${b} added."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1871 waeup/sirp/browser/viewlets.py:505
+#: waeup/sirp/browser/pages.py:1888 waeup/sirp/browser/viewlets.py:505
 msgid "Edit course referrer"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1874
+#: waeup/sirp/browser/pages.py:1891
 msgid "Save and return"
 msgstr ""
@@ -1413,5 +1421,5 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:956 waeup/sirp/browser/pages.py:1165
+#: waeup/sirp/browser/pages.py:956 waeup/sirp/browser/pages.py:1182
 msgid "Reset"
 msgstr ""