Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_accommodation.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_accommodation.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_accommodation.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ***********************************************************
 
-.. automodule:: waeup.sirp.students.accommodation
+.. automodule:: waeup.kofa.students.accommodation
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_authentication.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_authentication.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_authentication.rst	(revision 7808)
@@ -2,5 +2,5 @@
 *************************************************************
 
-.. automodule:: waeup.sirp.students.authentication
+.. automodule:: waeup.kofa.students.authentication
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_batching.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_batching.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_batching.rst	(revision 7808)
@@ -2,5 +2,5 @@
 **********************************************************
 
-.. automodule:: waeup.sirp.students.batching
+.. automodule:: waeup.kofa.students.batching
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_browser.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_browser.rst	(revision 7808)
@@ -2,5 +2,5 @@
 *******************************************
 
-.. automodule:: waeup.sirp.students.browser
+.. automodule:: waeup.kofa.students.browser
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_catalog.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_catalog.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_catalog.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ************************************************
 
-.. automodule:: waeup.sirp.students.catalog
+.. automodule:: waeup.kofa.students.catalog
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_container.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_container.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_container.rst	(revision 7808)
@@ -2,5 +2,5 @@
 *****************************************
 
-.. automodule:: waeup.sirp.students.container
+.. automodule:: waeup.kofa.students.container
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_dynamicroles.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_dynamicroles.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_dynamicroles.rst	(revision 7808)
@@ -2,5 +2,5 @@
 **************************************************
 
-.. automodule:: waeup.sirp.students.dynamicroles
+.. automodule:: waeup.kofa.students.dynamicroles
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ***************************************************
 
-.. automodule:: waeup.sirp.students.interfaces
+.. automodule:: waeup.kofa.students.interfaces
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_payments.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_payments.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_payments.rst	(revision 7808)
@@ -2,5 +2,5 @@
 **************************************
 
-.. automodule:: waeup.sirp.students.payments
+.. automodule:: waeup.kofa.students.payments
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_permissions.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_permissions.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_permissions.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ********************************************
 
-.. automodule:: waeup.sirp.students.permissions
+.. automodule:: waeup.kofa.students.permissions
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_student.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_student.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_student.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ***************************************
 
-.. automodule:: waeup.sirp.students.student
+.. automodule:: waeup.kofa.students.student
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studycourse.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studycourse.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studycourse.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ********************************************************
 
-.. automodule:: waeup.sirp.students.studycourse
+.. automodule:: waeup.kofa.students.studycourse
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studylevel.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studylevel.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_studylevel.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ******************************************************
 
-.. automodule:: waeup.sirp.students.studylevel
+.. automodule:: waeup.kofa.students.studylevel
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_utils.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_utils.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_utils.rst	(revision 7808)
@@ -2,5 +2,5 @@
 ************************************
 
-.. automodule:: waeup.sirp.students.utils
+.. automodule:: waeup.kofa.students.utils
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_viewlets.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_viewlets.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_viewlets.rst	(revision 7808)
@@ -7,5 +7,5 @@
 
 ..
-  .. automodule:: waeup.sirp.students.viewlets
+  .. automodule:: waeup.kofa.students.viewlets
      :members:
      :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_vocabularies.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_vocabularies.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_vocabularies.rst	(revision 7808)
@@ -2,5 +2,5 @@
 **********************************************
 
-.. automodule:: waeup.sirp.students.vocabularies
+.. automodule:: waeup.kofa.students.vocabularies
    :members:
    :undoc-members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_workflow.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_workflow.rst	(revision 7807)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_workflow.rst	(revision 7808)
@@ -2,5 +2,5 @@
 **************************************
 
-.. automodule:: waeup.sirp.students.workflow
+.. automodule:: waeup.kofa.students.workflow
    :members:
    :undoc-members: