Index: /main/waeup.kofa/trunk/docs/INSTALL.txt
===================================================================
--- /main/waeup.kofa/trunk/docs/INSTALL.txt	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/INSTALL.txt	(revision 7818)
@@ -2,5 +2,5 @@
 ***************************************
 
-.. note:: `waeup.sirp` might not work with Python > 2.7
+.. note:: `waeup.kofa` might not work with Python > 2.7
           currently. Use of Python 2.6 or 2.7 is recommended.
 
@@ -8,5 +8,5 @@
 =============
 
-The `waeup.sirp` package is based on `Grok`_, which is a Python
+The `waeup.kofa` package is based on `Grok`_, which is a Python
 framework for agile webapplication development. Grok itself is based
 on `Zope`_.
@@ -24,5 +24,5 @@
 compile the parts written in C.
 
-To deploy `waeup.sirp` most easily, we use `zc.buildout`_
+To deploy `waeup.kofa` most easily, we use `zc.buildout`_
 
 .. _zc.buildout: http://cheeseshop.python.org/pypi/zc.buildout
@@ -57,10 +57,10 @@
     eggs-directory = /home/bruno/buildout-eggs
 
-Running the `waeup.sirp` application
+Running the `waeup.kofa` application
 ======================================
 
 You can start Zope with the with the following command::
 
-    $ bin/sirpctl fg
+    $ bin/kofactl fg
     
 Alternatively you can do:
Index: /main/waeup.kofa/trunk/docs/INSTALLWIN.txt
===================================================================
--- /main/waeup.kofa/trunk/docs/INSTALLWIN.txt	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/INSTALLWIN.txt	(revision 7818)
@@ -35,5 +35,5 @@
 
 **Step 3**. Open up a command window and change to the folder where you want to place the sandbox
-that will contain your KOFA project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
+that will contain your Kofa project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
 
   C:\[any_path]> cd c:\
@@ -54,5 +54,5 @@
 Note that the system prompt has changed.
 
-Run KOFA
+Run Kofa
 ========
 
@@ -72,5 +72,5 @@
  (winkofa) C:\winkofa\waeup.kofa> ..\Scripts\deactivate
 
-**Step 11**. Start your KOFA::
+**Step 11**. Start your Kofa::
 
  C:\winkofa\waeup.kofa> bin\paster serve parts\etc\deploy.ini
@@ -80,5 +80,5 @@
  C:\[any_path]> C:\winkofa\trunk\bin\paster serve C:\winkofa\trunk\parts\etc\deploy.ini
 
-**Step 12**. Visit the KOFA website and create your university instance:
+**Step 12**. Visit the Kofa website and create your university instance:
 
 | http://localhost:8080
Index: /main/waeup.kofa/trunk/docs/source/conf.py
===================================================================
--- /main/waeup.kofa/trunk/docs/source/conf.py	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/conf.py	(revision 7818)
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
 #
-# WAeUP Student Information and Registration Portal (KOFA) documentation build configuration file, created by
+# WAeUP Student Information and Registration Portal (Kofa) documentation build configuration file, created by
 # sphinx-quickstart on Thu Jul 29 10:41:59 2010.
 #
@@ -48,5 +48,5 @@
 
 # General information about the project.
-project = u'WAeUP.KOFA'
+project = u'WAeUP.Kofa'
 copyright = u'2011, WAeUP Team'
 
@@ -174,5 +174,5 @@
 
 # Output file base name for HTML help builder.
-htmlhelp_basename = 'WAeUPStudentInformationandRegistrationPortalKOFAdoc'
+htmlhelp_basename = 'WAeUPStudentInformationandRegistrationPortalKofadoc'
 
 
@@ -188,5 +188,5 @@
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-  ('index', 'WAeUPStudentInformationandRegistrationPortalKOFA.tex', u'WAeUP Student Information and Registration Portal (KOFA) Documentation',
+  ('index', 'WAeUPStudentInformationandRegistrationPortalKofa.tex', u'WAeUP Student Information and Registration Portal (Kofa) Documentation',
    u'WAeUP Team', 'manual'),
 ]
Index: /main/waeup.kofa/trunk/docs/source/contents.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/contents.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/contents.rst	(revision 7818)
@@ -1,5 +1,5 @@
 .. _contents:
 
-WAeUP.KOFA Documentation Contents
+WAeUP.Kofa Documentation Contents
 =================================
 
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_applicants.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 7818)
@@ -26,5 +26,4 @@
    applicants/api_browser
    applicants/api_permissions
-   applicants/api_vocabularies
    applicants/api_workflow
 
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_payments.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_payments.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_payments.rst	(revision 7818)
@@ -20,4 +20,3 @@
    payments/api_payment
    payments/api_container
-   payments/api_vocabularies
    payments/api_interfaces
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/applicants/api_vocabularies.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/applicants/api_vocabularies.rst	(revision 7817)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`applicants.vocabularies` - Vocabularies and Sources
-****************************************************
-
-.. automodule:: waeup.kofa.applicants.vocabularies
-   :members:
-   :undoc-members:
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/payments/api_vocabularies.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/payments/api_vocabularies.rst	(revision 7817)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`payments.vocabularies` - Payment Vocabularies
-**********************************************
-
-.. automodule:: waeup.kofa.payments.vocabularies
-   :members:
-   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/developernotes.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/developernotes.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/developernotes.rst	(revision 7818)
@@ -2,8 +2,8 @@
 ***************
 
-How to setup a developer instance of the WAeUP.KOFA, handle tests, docs
+How to setup a developer instance of the WAeUP.Kofa, handle tests, docs
 etc.
 
-The new WAeUP.KOFA is based on `Grok <http://grok.zope.org/>`_.
+The new WAeUP.Kofa is based on `Grok <http://grok.zope.org/>`_.
 
 Installing a developer copy
@@ -15,5 +15,5 @@
 --------------------
 
-To create a working copy of the WAeUP.KOFA we recommend use of
+To create a working copy of the WAeUP.Kofa we recommend use of
 `virtualenv`. You, however, need also some basic libraries, a C
 compiler and some things more.
@@ -127,5 +127,5 @@
 In the sandbox (or anywhere else) we now create our real working
 environment. To do this, we change to the sandbox and checkout the
-sources of the WAeUP.KOFA from the subversion server::
+sources of the WAeUP.Kofa from the subversion server::
 
   $ cd mysandbox/
@@ -277,5 +277,5 @@
 
   Most unit tests furthermore declare that they want to be run inside
-  the `WAeUPKOFAUnitTestLayer` defined in `waeup.kofa.testing`. This
+  the `WAeUPKofaUnitTestLayer` defined in `waeup.kofa.testing`. This
   layer groks the whole `waeup.kofa` package, so that all ZCA
   components are already setup when you start your tests.
@@ -284,5 +284,5 @@
   layer, the testfile has to provide the following line::
 
-    .. :layer: waeup.kofa.testing.WAeUPKOFAUnitTestLayer
+    .. :layer: waeup.kofa.testing.WAeUPKofaUnitTestLayer
 
   Use it, if in your tests you make use of registered components like
Index: /main/waeup.kofa/trunk/docs/source/glossary.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/glossary.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/glossary.rst	(revision 7818)
@@ -6,5 +6,5 @@
 .. glossary::
 
-   KOFA
+   Kofa
      Student Information and Registration Portal.
 
Index: /main/waeup.kofa/trunk/docs/source/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/index.rst	(revision 7817)
+++ /main/waeup.kofa/trunk/docs/source/index.rst	(revision 7818)
@@ -1,3 +1,3 @@
-.. WAeUP Student Information and Registration Portal (KOFA) documentation master file, created by
+.. WAeUP Student Information and Registration Portal (Kofa) documentation master file, created by
    sphinx-quickstart on Thu Jul 29 10:41:59 2010.
    You can adapt this file completely to your liking, but it should at least