Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7819)
@@ -2,6 +2,6 @@
 
 from waeup.kofa.browser.layout import (
-    KOFAPage, KOFAForm, KOFALayout, KOFADisplayFormPage, KOFAEditFormPage,
-    KOFAAddFormPage, NullValidator)
+    KofaPage, KofaForm, KofaLayout, KofaDisplayFormPage, KofaEditFormPage,
+    KofaAddFormPage, NullValidator)
 from waeup.kofa.browser.pages import ContactAdminForm
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7819)
@@ -34,5 +34,5 @@
     """
     grok.provides(IBreadcrumb)
-    grok.context(interfaces.IKOFAObject)
+    grok.context(interfaces.IKofaObject)
     grok.name('index')
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 7819)
@@ -1,6 +1,6 @@
-Browsing KOFA
+Browsing Kofa
 *************
 
-Here we visit all parts of a KOFA portal using a browser.
+Here we visit all parts of a Kofa portal using a browser.
 
 University
@@ -35,5 +35,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...Welcome to WAeUP.KOFA...
+  ...Welcome to WAeUP.Kofa...
   ...
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7819)
@@ -28,5 +28,5 @@
 from zope.interface import Interface
 from zope.publisher.interfaces.http import IHTTPRequest
-from waeup.kofa.browser import KOFAPage
+from waeup.kofa.browser import KofaPage
 from waeup.kofa.browser.interfaces import (
     ICaptchaRequest, ICaptchaResponse, ICaptcha, ICaptchaConfig,
@@ -171,5 +171,5 @@
     """ReCaptcha - strong captchas with images, sound, etc.
 
-    This is the KOFA implementation to support captchas as provided by
+    This is the Kofa implementation to support captchas as provided by
     http://www.google.com/recaptcha.
 
@@ -266,5 +266,5 @@
             headers = {
                 "Content-type": "application/x-www-form-urlencoded",
-                "User-agent": "reCAPTCHA Python KOFA",
+                "User-agent": "reCAPTCHA Python Kofa",
                 }
             )
@@ -319,5 +319,5 @@
 
 
-class CaptchaTestPage(KOFAPage):
+class CaptchaTestPage(KofaPage):
     # A test page to see a captcha in action
     grok.name('captcha')
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7819)
@@ -22,5 +22,5 @@
 from zope.publisher.interfaces import INotFound
 from zope.security.interfaces import IUnauthorized
-from waeup.kofa.browser.layout import KOFAPage
+from waeup.kofa.browser.layout import KofaPage
 
 grok.templatedir('templates')
@@ -61,5 +61,5 @@
 
 
-class NotFoundPage(KOFAPage):
+class NotFoundPage(KofaPage):
     """A page rendered when an object cannot be found.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7819)
@@ -21,5 +21,5 @@
 from zope.interface import Interface, Attribute
 from waeup.kofa.interfaces import (
-    IKOFAObject, IUniversity, IUsersContainer, IDataCenter)
+    IKofaObject, IUniversity, IUsersContainer, IDataCenter)
 from waeup.kofa.university.interfaces import (
     IFacultiesContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 7819)
@@ -33,7 +33,7 @@
 from zope.interface import Interface
 from zope.site.hooks import getSite
-from waeup.kofa.interfaces import IKOFAObject, IUserAccount
+from waeup.kofa.interfaces import IKofaObject, IUserAccount
 from waeup.kofa.browser.interfaces import ITheme
-from waeup.kofa.browser.theming import get_all_themes, KOFAThemeBase
+from waeup.kofa.browser.theming import get_all_themes, KofaThemeBase
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.applicants.interfaces import IApplicant
@@ -56,12 +56,12 @@
 
     def __call__(self, success):
-        action = KOFAAction(self.label, success=success, **self.options)
+        action = KofaAction(self.label, success=success, **self.options)
         self.actions.append(action)
         return action
 
-class KOFAAction(Action):
+class KofaAction(Action):
 
     def __init__(self, label, style='', **options):
-        super(KOFAAction, self).__init__(label, **options)
+        super(KofaAction, self).__init__(label, **options)
         self.style = style
 
@@ -150,10 +150,10 @@
         return True
 
-class KOFALayout(UtilityView,Layout):
+class KofaLayout(UtilityView,Layout):
     """A megrok.layout.Layout with additional methods.
     """
     grok.baseclass()
 
-class KOFAForm(UtilityView,Form):
+class KofaForm(UtilityView,Form):
     """A megrok.layout.Form with additional methods.
     """
@@ -161,5 +161,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(KOFAForm,self).setUpWidgets(ignore_request)
+        super(KofaForm,self).setUpWidgets(ignore_request)
         # Width parameters will be overridden by Bootstrap
         # so we have to set the css class
@@ -171,10 +171,10 @@
             self.widgets['body'].cssClass = 'span9'
 
-class KOFAPage(UtilityView,Page):
+class KofaPage(UtilityView,Page):
     """A megrok.layout page with additional methods.
     """
     grok.baseclass()
 
-class KOFADisplayFormPage(UtilityView,DisplayForm):
+class KofaDisplayFormPage(UtilityView,DisplayForm):
     """A megrok.layout.DisplayForm with additional methods.
     """
@@ -182,5 +182,5 @@
     template = default_waeup_display_template
 
-class KOFAEditFormPage(UtilityView,EditForm):
+class KofaEditFormPage(UtilityView,EditForm):
     """A megrok.layout.EditForm with additional methods.
     """
@@ -189,5 +189,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(KOFAEditFormPage,self).setUpWidgets(ignore_request)
+        super(KofaEditFormPage,self).setUpWidgets(ignore_request)
         for widget in self.widgets:
             if widget.__class__.__name__ == 'TextWidget':
@@ -207,5 +207,5 @@
             self.widgets['perm_address'].height = 10
 
-class KOFAAddFormPage(UtilityView,AddForm):
+class KofaAddFormPage(UtilityView,AddForm):
     """A megrok.layout.AddForm with additional methods.
     """
@@ -213,11 +213,11 @@
     template = default_waeup_edit_template
 
-class SiteLayout(KOFALayout):
+class SiteLayout(KofaLayout):
     """ The general site layout.
     """
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
 
     #: An instance of the default theme to use for the site layout
-    default_theme = KOFAThemeBase()
+    default_theme = KofaThemeBase()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7819)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-""" Viewing components for KOFA objects.
+""" Viewing components for Kofa objects.
 """
 import copy
@@ -38,6 +38,6 @@
 from zope.session.interfaces import ISession
 from waeup.kofa.browser import (
-    KOFAPage, KOFAForm, KOFAEditFormPage, KOFAAddFormPage,
-    KOFADisplayFormPage, NullValidator)
+    KofaPage, KofaForm, KofaEditFormPage, KofaAddFormPage,
+    KofaDisplayFormPage, NullValidator)
 from waeup.kofa.browser.interfaces import (
     IUniversity, IFacultiesContainer, IFaculty, IFacultyAdd,
@@ -47,9 +47,9 @@
 from waeup.kofa.browser.resources import warning, datepicker, tabs, datatable
 from waeup.kofa.interfaces import(
-    IKOFAObject, IUsersContainer, IUserAccount, IDataCenter,
-    IKOFAXMLImporter, IKOFAXMLExporter, IBatchProcessor,
+    IKofaObject, IUsersContainer, IUserAccount, IDataCenter,
+    IKofaXMLImporter, IKofaXMLExporter, IBatchProcessor,
     ILocalRolesAssignable, DuplicationError, IConfigurationContainer,
     ISessionConfiguration, ISessionConfigurationAdd,
-    IPasswordValidator, IContactForm, IKOFAUtils)
+    IPasswordValidator, IContactForm, IKofaUtils)
 from waeup.kofa.permissions import get_users_with_local_roles, get_all_roles
 from waeup.kofa.students.catalog import search as searchstudents
@@ -62,5 +62,5 @@
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 
-grok.context(IKOFAObject)
+grok.context(IKofaObject)
 grok.templatedir('templates')
 
@@ -144,9 +144,9 @@
 #
 
-class LoginPage(KOFAPage):
+class LoginPage(KofaPage):
     """A login page, available for all objects.
     """
     grok.name('login')
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.require('waeup.Public')
     label = _(u'Login')
@@ -179,8 +179,8 @@
 
 
-class LogoutPage(KOFAPage):
+class LogoutPage(KofaPage):
     """A logout page. Calling this page will log the current user out.
     """
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.require('waeup.Public')
     grok.name('logout')
@@ -190,12 +190,12 @@
             auth = getUtility(IAuthentication)
             ILogout(auth).logout(self.request)
-            self.flash(_("You have been logged out. Thanks for using WAeUP KOFA!"))
+            self.flash(_("You have been logged out. Thanks for using WAeUP Kofa!"))
         self.redirect(self.application_url())
 
 
-class LanguageChangePage(KOFAPage):
+class LanguageChangePage(KofaPage):
     """ Language switch
     """
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.name('change_language')
     grok.require('waeup.Public')
@@ -213,5 +213,5 @@
 #
 
-class ContactAdminForm(KOFAForm):
+class ContactAdminForm(KofaForm):
     grok.name('contactadmin')
     #grok.context(IUniversity)
@@ -242,5 +242,5 @@
         usertype = getattr(self.request.principal,
                            'user_type', 'system').title()
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         success = kofa_utils.sendContactForm(
                 fullname,email,
@@ -263,5 +263,5 @@
     @action(_('Send now'), style='primary')
     def send(self, *args, **data):
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         success = kofa_utils.sendContactForm(
                 data['fullname'],data['email_from'],
@@ -279,5 +279,5 @@
 #
 
-class UniversityPage(KOFADisplayFormPage):
+class UniversityPage(KofaDisplayFormPage):
     """ The main university page.
     """
@@ -290,5 +290,5 @@
     @property
     def frontpage(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         html = self.context['configuration'].frontpage_dict.get(lang,'')
@@ -297,9 +297,9 @@
                 'configuration'].frontpage_dict.get(portal_language,'')
         if html =='':
-            return _(u'<h1>Welcome to WAeUP.KOFA</h1>')
+            return _(u'<h1>Welcome to WAeUP.Kofa</h1>')
         else:
             return html
 
-class AdministrationPage(KOFAPage):
+class AdministrationPage(KofaPage):
     """ The administration overview page.
     """
@@ -378,5 +378,5 @@
 #
 
-class UsersContainerPage(KOFAPage):
+class UsersContainerPage(KofaPage):
     """Overview page for all local users.
     """
@@ -418,5 +418,5 @@
         return site_roles_string
 
-class AddUserFormPage(KOFAAddFormPage):
+class AddUserFormPage(KofaAddFormPage):
     grok.require('waeup.manageUsers')
     grok.context(IUsersContainer)
@@ -456,5 +456,5 @@
         self.redirect(self.url(self.context))
 
-class UserManageFormPage(KOFAEditFormPage):
+class UserManageFormPage(KofaEditFormPage):
     """Manage a user account.
     """
@@ -525,5 +525,5 @@
         usertype = getattr(self.request.principal,
                            'user_type', 'system').title()
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         success = kofa_utils.sendContactForm(
                 self.request.principal.title,email,
@@ -550,5 +550,5 @@
         self.widgets['title'].displayWidth = 30
 
-class MyRolesPage(KOFAPage):
+class MyRolesPage(KofaPage):
     """Display site roles and local roles assigned to officers.
     """
@@ -581,5 +581,5 @@
 #
 
-class SearchPage(KOFAPage):
+class SearchPage(KofaPage):
     """General search page for the academics section.
     """
@@ -608,5 +608,5 @@
 #
 
-class ConfigurationContainerDisplayFormPage(KOFADisplayFormPage):
+class ConfigurationContainerDisplayFormPage(KofaDisplayFormPage):
     """View page of the configuration container.
     """
@@ -619,5 +619,5 @@
     form_fields['frontpage'].custom_widget = ReSTDisplayWidget
 
-class ConfigurationContainerManageFormPage(KOFAEditFormPage):
+class ConfigurationContainerManageFormPage(KofaEditFormPage):
     """Manage page of the configuration container. We always use the
     manage page in the UI not the view page, thus we use the index name here.
@@ -684,5 +684,5 @@
         return
 
-class SessionConfigurationAddFormPage(KOFAAddFormPage):
+class SessionConfigurationAddFormPage(KofaAddFormPage):
     """Add a session configuration object to configuration container.
     """
@@ -711,5 +711,5 @@
         return
 
-class SessionConfigurationManageFormPage(KOFAEditFormPage):
+class SessionConfigurationManageFormPage(KofaEditFormPage):
     """Manage session configuration object.
     """
@@ -742,5 +742,5 @@
 #
 
-class DatacenterPage(KOFAPage):
+class DatacenterPage(KofaPage):
     grok.context(IDataCenter)
     grok.name('index')
@@ -749,5 +749,5 @@
     pnav = 0
 
-class DatacenterUploadPage(KOFAPage):
+class DatacenterUploadPage(KofaPage):
     grok.context(IDataCenter)
     grok.name('upload')
@@ -794,5 +794,5 @@
         return '%s_%s%s' % (base, filtered_username, ext.lower())
 
-class DatacenterImportStep1(KOFAPage):
+class DatacenterImportStep1(KofaPage):
     """Manual import step 1: choose file
     """
@@ -824,5 +824,5 @@
             self.redirect(self.url(self.context, '@@import2'))
 
-class DatacenterImportStep2(KOFAPage):
+class DatacenterImportStep2(KofaPage):
     """Manual import step 2: choose importer
     """
@@ -944,5 +944,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep3(KOFAPage):
+class DatacenterImportStep3(KofaPage):
     """Manual import step 3: modify header
     """
@@ -1052,5 +1052,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep4(KOFAPage):
+class DatacenterImportStep4(KofaPage):
     """Manual import step 4: do actual import
     """
@@ -1111,5 +1111,5 @@
             mapping = {'a':linenum - self.warn_num}))
 
-class DatacenterLogsOverview(KOFAPage):
+class DatacenterLogsOverview(KofaPage):
     grok.context(IDataCenter)
     grok.name('logs')
@@ -1133,5 +1133,5 @@
         self.files = self.context.getLogFiles()
 
-class DatacenterLogsFileview(KOFAPage):
+class DatacenterLogsFileview(KofaPage):
     grok.context(IDataCenter)
     grok.name('show')
@@ -1172,5 +1172,5 @@
         popen.close()
 
-class DatacenterSettings(KOFAPage):
+class DatacenterSettings(KofaPage):
     grok.context(IDataCenter)
     grok.name('manage')
@@ -1215,5 +1215,5 @@
 
     def render(self):
-        exporter = IKOFAXMLExporter(self.context)
+        exporter = IKofaXMLExporter(self.context)
         xml = exporter.export().read()
         self.response.setHeader(
@@ -1221,5 +1221,5 @@
         return xml
 
-class ImportXMLPage(KOFAPage):
+class ImportXMLPage(KofaPage):
     """Replace the context object by an object created from an XML
        representation.
@@ -1237,5 +1237,5 @@
         if not xmlfile:
             return
-        importer = IKOFAXMLImporter(self.context)
+        importer = IKofaXMLImporter(self.context)
         obj = importer.doImport(xmlfile)
         if type(obj) != type(self.context):
@@ -1257,5 +1257,5 @@
 #
 
-class FacultiesContainerPage(KOFAPage):
+class FacultiesContainerPage(KofaPage):
     """ Index page for faculty containers.
     """
@@ -1267,5 +1267,5 @@
     grok.template('facultypage')
 
-class FacultiesContainerManageFormPage(KOFAEditFormPage):
+class FacultiesContainerManageFormPage(KofaEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1302,5 +1302,5 @@
 
 
-class FacultyAddFormPage(KOFAAddFormPage):
+class FacultyAddFormPage(KofaAddFormPage):
     """ Page form to add a new faculty to a faculty container.
     """
@@ -1330,5 +1330,5 @@
 # Faculty pages
 #
-class FacultyPage(KOFAPage):
+class FacultyPage(KofaPage):
     """Index page of faculties.
     """
@@ -1342,5 +1342,5 @@
         return _('Departments')
 
-class FacultyManageFormPage(KOFAEditFormPage):
+class FacultyManageFormPage(KofaEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1416,5 +1416,5 @@
         return del_local_roles(self,3,**data)
 
-class DepartmentAddFormPage(KOFAAddFormPage):
+class DepartmentAddFormPage(KofaAddFormPage):
     """Add a department to a faculty.
     """
@@ -1446,5 +1446,5 @@
 # Department pages
 #
-class DepartmentPage(KOFAPage):
+class DepartmentPage(KofaPage):
     """Department index page.
     """
@@ -1475,5 +1475,5 @@
             yield(dict(url=url, name=key, container=val))
 
-class ShowStudentsInDepartmentPage(KOFAPage):
+class ShowStudentsInDepartmentPage(KofaPage):
     """Page that lists all students in the department.
     """
@@ -1510,5 +1510,5 @@
         return hitlist
 
-class DepartmentManageFormPage(KOFAEditFormPage):
+class DepartmentManageFormPage(KofaEditFormPage):
     """Manage the basic properties of a `Department` instance.
     """
@@ -1612,5 +1612,5 @@
         return del_local_roles(self,4,**data)
 
-class CourseAddFormPage(KOFAAddFormPage):
+class CourseAddFormPage(KofaAddFormPage):
     """Add-form to add course to a department.
     """
@@ -1649,5 +1649,5 @@
         return
 
-class CertificateAddFormPage(KOFAAddFormPage):
+class CertificateAddFormPage(KofaAddFormPage):
     """Add-form to add certificate to a department.
     """
@@ -1690,5 +1690,5 @@
 # Courses pages
 #
-class CoursePage(KOFADisplayFormPage):
+class CoursePage(KofaDisplayFormPage):
     """Course index page.
     """
@@ -1703,5 +1703,5 @@
         return '%s (%s)' % (self.context.title, self.context.code)
 
-class CourseManageFormPage(KOFAEditFormPage):
+class CourseManageFormPage(KofaEditFormPage):
     """Edit form page for courses.
     """
@@ -1734,5 +1734,5 @@
 # Certificate pages
 #
-class CertificatePage(KOFADisplayFormPage):
+class CertificatePage(KofaDisplayFormPage):
     """Index page for certificates.
     """
@@ -1752,5 +1752,5 @@
         return super(CertificatePage, self).update()
 
-class CertificateManageFormPage(KOFAEditFormPage):
+class CertificateManageFormPage(KofaEditFormPage):
     """Manage the properties of a `Certificate` instance.
     """
@@ -1830,5 +1830,5 @@
 
 
-class CertificateCourseAddFormPage(KOFAAddFormPage):
+class CertificateCourseAddFormPage(KofaAddFormPage):
     """Add-page to add a course ref to a certificate
     """
@@ -1862,5 +1862,5 @@
 # Certificate course pages...
 #
-class CertificateCoursePage(KOFAPage):
+class CertificateCoursePage(KofaPage):
     """CertificateCourse index page.
     """
@@ -1879,5 +1879,5 @@
         return course_levels.getTerm(self.context.level).title
 
-class CertificateCourseManageFormPage(KOFAEditFormPage):
+class CertificateCourseManageFormPage(KofaEditFormPage):
     """Manage the basic properties of a `CertificateCourse` instance.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py	(revision 7819)
@@ -262,5 +262,5 @@
     depends=[jquery])
 
-#: Register basic KOFA CSS (which is based on ``bootstrap.min-1.4.0.css`` 
+#: Register basic Kofa CSS (which is based on ``bootstrap.min-1.4.0.css`` 
 #: and ``base`` as a resource.
 waeup_base_css = ResourceInclusion(
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py	(revision 7819)
@@ -23,5 +23,5 @@
 from zope.interface import Interface
 from zope.schema.interfaces import IVocabularyFactory
-from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.interfaces import SimpleKofaVocabulary
 from waeup.kofa.browser.interfaces import ITheme
 from waeup.kofa.browser.resources import (
@@ -29,5 +29,5 @@
     )
 
-class KOFAThemeBase(grok.GlobalUtility):
+class KofaThemeBase(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('base waeup theme')
@@ -38,5 +38,5 @@
         return [waeup_base_css]
 
-#class KOFAThemeRed1(grok.GlobalUtility):
+#class KofaThemeRed1(grok.GlobalUtility):
 #    grok.implements(ITheme)
 #    grok.name('red waeup theme')
@@ -47,5 +47,5 @@
 #        return [waeuptheme_red1]
 
-#class KOFAThemeGray1(grok.GlobalUtility):
+#class KofaThemeGray1(grok.GlobalUtility):
 #    grok.implements(ITheme)
 #    grok.name('gray waeup theme')
@@ -56,5 +56,5 @@
 #        return [waeuptheme_gray1]
 
-class KOFAThemeEmpty(grok.GlobalUtility):
+class KofaThemeEmpty(grok.GlobalUtility):
     """A theme based on jQuery only.
 
@@ -112,4 +112,4 @@
         terms = [(theme.description, name)
                  for name, theme in get_all_themes()]
-        vocab = SimpleKOFAVocabulary(*terms)
+        vocab = SimpleKofaVocabulary(*terms)
         return vocab
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 7817)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 7819)
@@ -31,7 +31,7 @@
     ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
 from waeup.kofa.interfaces import (
-    IKOFAUtils, IKOFAObject, IKOFAXMLExporter,
-    IKOFAXMLImporter, IDataCenter, IUserAccount)
-from waeup.kofa.browser.layout import KOFAPage, default_primary_nav_template
+    IKofaUtils, IKofaObject, IKofaXMLExporter,
+    IKofaXMLImporter, IDataCenter, IUserAccount)
+from waeup.kofa.browser.layout import KofaPage, default_primary_nav_template
 from waeup.kofa.utils.helpers import get_user_account
 
@@ -39,5 +39,5 @@
 
 grok.templatedir('templates')
-grok.context(IKOFAObject) # Make IKOFAObject the default context
+grok.context(IKofaObject) # Make IKofaObject the default context
 
 class LeftSidebar(grok.ViewletManager):
@@ -85,5 +85,5 @@
     """
     grok.baseclass()
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.viewletmanager(ActionBar)
     icon = 'actionicon_modify.png' # File must exist in static/
@@ -196,5 +196,5 @@
 
 class BreadCrumbs(grok.Viewlet):
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.viewletmanager(BreadCrumbManager)
     grok.order(1)
@@ -216,10 +216,10 @@
     """
     grok.viewletmanager(LanguageManager)
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.require('waeup.Public')
     title = u'Languages'
 
     def render(self):
-        preferred_languages = getUtility(IKOFAUtils).PREFERRED_LANGUAGES_DICT
+        preferred_languages = getUtility(IKofaUtils).PREFERRED_LANGUAGES_DICT
         html = u''
         for key, value in sorted(
@@ -257,5 +257,5 @@
     grok.baseclass()
     grok.viewletmanager(LeftSidebar)
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.order(5)
     grok.require('waeup.manageUniversity')
@@ -316,5 +316,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.view(Interface)
     grok.order(2)
@@ -350,5 +350,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.view(Interface)
     grok.order(5)
@@ -520,5 +520,5 @@
 class BrowseActionButton(ActionButton):
     grok.baseclass()
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.template('actionbutton')
     grok.viewletmanager(ActionBar)
@@ -686,5 +686,5 @@
     target_viewname = 'datacenter'
 
-# The SubobjectLister and its viewlets below are not used in KOFA.
+# The SubobjectLister and its viewlets below are not used in Kofa.
 
 class SubobjectLister(grok.ViewletManager):